/*
Проба токового регистора MBI5167
на один разряд 7-сегм. индикатора
Выводы MBI5167 OUT0-OUT6 подключить к катодам a-g индикатора,
вывод OUT7 - к десятичной точке DP
Для засветки десятичной точки 
перед выводом добавить единицу к выбранному коду
*/


#define dataPin  10  // пин подключен к входу SDI
#define latchPin 11  // пин подключен к входу LE
#define clockPin 12  // пин подключен к входу CLK

byte code7seg [10] = {
  0b11111100, //0
  0b01100000, //1 
  0b11011010, //2 
  0b11110010, //3 
  0b01100110, //4 
  0b10110110, //5 
  0b10111110, //6 
  0b11100000, //7 
  0b11111110, //8
  0b11110110, //9 
};

byte code;
byte digit;


void setup() {
   // устанавливаем режим работы пинов OUTPUT
   pinMode(latchPin, OUTPUT);
   pinMode(clockPin, OUTPUT);
   pinMode(dataPin, OUTPUT);

}

void loop() {
  for (digit=0; digit<10; digit++){
  code = code7seg[digit];
   shiftOut(dataPin, clockPin, LSBFIRST, code); // код цифры 
   digitalWrite(latchPin, HIGH);
   delay(1000);
   digitalWrite(latchPin, LOW);  
  }
}
