/*
Проба токового регистора MBI5167
Статическая индикация на четыре разряда 
Выводы каждого MBI5167 OUT0-OUT6 подключить к катодам a-g индикатора,
вывод OUT7 - к десятичной точке DP
Вход SDI первого MBI5167 к dataPin контроллера
выход SDO ко входу SDI следующего
Выводы LE и CLK объединяются
Для засветки десятичной точки 
перед выводом добавить единицу к выбранному коду
*/

#define dataPin  10  // пин подключен к входу SDI
#define latchPin 11  // пин подключен к входу LE
#define clockPin 12  // пин подключен к входу CLK

byte code7seg [10] = {
  0b11111100, //0
  0b01100000, //1 
  0b11011010, //2 
  0b11110010, //3 
  0b01100110, //4 
  0b10110110, //5 
  0b10111110, //6 
  0b11100000, //7 
  0b11111110, //8
  0b11110110, //9 
};

byte code;
byte digit;


void setup() {
   // устанавливаем режим работы пинов OUTPUT
   pinMode(latchPin, OUTPUT);
   pinMode(clockPin, OUTPUT);
   pinMode(dataPin, OUTPUT);

}

void loop() {
 //выдает код 1234, потом 5678
  for (byte ii=0; ii<2; ii++){
 //4-й разряд
   digit=4+(ii*4);
   code = code7seg[digit];
   shiftOut(dataPin, clockPin, LSBFIRST, code); // код цифры 
 //3-й разряд
   digit=3*(ii*4);
   code = code7seg[digit];
   shiftOut(dataPin, clockPin, LSBFIRST, code); // код цифры 
//2-й разряд
   digit=2+(ii*4);
   code = code7seg[digit];
   shiftOut(dataPin, clockPin, LSBFIRST, code); // код цифры 
//1-й разряд
   digit=1+(ii*4);
   code = code7seg[digit];
   shiftOut(dataPin, clockPin, LSBFIRST, code); // код цифры 

   digitalWrite(latchPin, HIGH);
   delay(1000);
   digitalWrite(latchPin, LOW);
  }  
}
